List all gateways
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Read Gateways under the Setup & Administration category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/gateways \
--header 'Authorization: Bearer <token>'{
"data": [
{
"model": "VG34",
"serial": "GFRV-43N-VGX",
"accessoryDevices": [
{
"model": "EM11",
"serial": "ABCD-123-EFG"
}
],
"asset": {
"externalIds": {},
"id": "8393848111"
},
"connectionStatus": {
"healthStatus": "Not Installed",
"lastConnected": "2019-06-13T19:08:25Z"
},
"dataUsageLast30Days": {
"cellularDataUsageBytes": 4473822362122348000,
"hotspotUsageBytes": 8217313748913212000
}
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Filter by a comma separated list of gateway models.
If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
curl --request GET \
--url https://api.samsara.com/gateways \
--header 'Authorization: Bearer <token>'{
"data": [
{
"model": "VG34",
"serial": "GFRV-43N-VGX",
"accessoryDevices": [
{
"model": "EM11",
"serial": "ABCD-123-EFG"
}
],
"asset": {
"externalIds": {},
"id": "8393848111"
},
"connectionStatus": {
"healthStatus": "Not Installed",
"lastConnected": "2019-06-13T19:08:25Z"
},
"dataUsageLast30Days": {
"cellularDataUsageBytes": 4473822362122348000,
"hotspotUsageBytes": 8217313748913212000
}
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}